Page MenuHomePhabricator

Pre-investigation: ProcseeBot & ProxyBot
Closed, ResolvedPublic

Description

@TBolliger will look into how these two similarly named proxy-blocking bots work and are discussed on their respective wikis.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2017, 7:11 PM
TBolliger updated the task description. (Show Details)Oct 18 2017, 6:39 PM
TBolliger added a subscriber: Slakr.EditedOct 18 2017, 11:42 PM

ProcseeBot – started operating in 2009. Request for approval: https://en.wikipedia.org/wiki/Wikipedia:Bots/Requests_for_approval/ProcseeBot. During the proposal some folks suggested it work as a global bot. This bot is built and operated by User:Slakr (Kurt, from Dallas). Slakr does not share the source code of the bot.

The bot sets 2 month blocks on IP proxies. More specific details can be found at the request for approval.

I looked on Slakr’s talk page archives (the bot’s talk page redirects here), ProcseeBot failed twice in 2017 due to server issues. This doesn’t seem like a major issue. I found no other requests, other than one small request to add a whitelist. The conversation was very brief. I could not find any other recent conversations about the bot's limitations or opportunities.

Next steps:

On French Wikipedia, they had two bots to block open proxies. Blockbot (2013-2015) and ProxyBot (2007-2015?). I do not believe they have a bot actively running to block open proxies.

In the vote for adminship, I found that Blockbot (sometimes called ProxyBlock) was enabled because ProxyBot "is not very active and works rather in big waves" with large time gaps in its functioning. The vote for adminship for Proxybot was in 2007 and does not have anything pertinent right now.

Next steps:

  • Reach out to User:Gribeco about why the bots were discontinued, and what he would like to see on his wiki.
  • Reach out to these FRWP users who are interested in open proxies (and blocking them.)

Regarding https://meta.wikimedia.org/wiki/WikiProject_on_open_proxies — aside from vandalism and reverts, nobody has edited anything significantly since 2009. Maybe we can drop a line on the talk page, but I don't expect it to be a useful outlet.

@SPoore — Was there anything else in particular that you believe I should research regarding these bots, before Dayllan or David reaches out to the bot owners and other technical users who may be interested?

TBolliger closed this task as Resolved.Oct 24 2017, 8:59 PM
TBolliger moved this task from Ready to Done on the Anti-Harassment (AHT Sprint 7) board.